partition.hpp File Reference

Forward declares `boost::hana::partition`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::partition
| Partition a sequence based on a `predicate`.Specifically, returns an unspecified `Product` whose first element is a sequence of the elements satisfying the predicate, and whose second element is a sequence of the elements that do not satisfy the predicate. More...

## Detailed Description

Forward declares `boost::hana::partition`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)